; comment character is semicolon.
; "wisql.loc" - Localization file for WISQL.
;
; SCCS information: 
; Sccsid @(#) wisql.loc 1.1 11/10/93 
;
; For readability, this example is for a us_english localization file.
[copyright]
copyright =  "Copyright (C) 1994 Sybase, Inc.\
	All rights reserved.\
	Use, duplication, or disclosure by the United States\
	Government is subject to restrictions as set forth in\
	subparagraph (c) (1) (ii) of the Rights in Technical\
	Data and Computer Software clause at CFR 52.227-7013.\
	Sybase, Inc. 6475 Christie Avenue, Emeryville, CA 94608, USA"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; The default errors
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[wisqldefaults]

1 = CS_DEF_MEMORY_ERRNUM, "unable to allocate memory."

2 = CS_DEF_LAYER_ERRNUM, "wisql"

3 = CS_DEF_ORIGIN_ERRNUM, "wisql"

4 = CS_DEF_ERROR_ERRNUM, "general error"



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; The WISQL layers.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[wisqllayer]

1 = E_LAYER_WISQL, "wisql layer"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; The "origin of error" definitons.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[wisqlorigin]

1 = E_ORG_USER, "user error"

2 = E_ORG_INTRN, "internal WISQL error"

3 = E_ORG_MEM, "memory management error"

4 = E_ORG_CT, "CTLIB library error"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; The User WISQL Layer Errors
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[wisqlerror]

0 = WISQLE_OK, "wisql okay"

1 = WISQLE_MAX_COLUMS, "Sorry, WISQL can only handle up to 50 columns."

2 = WISQLE_MEM, "unable to allocate memory."

3 = WISQLE_ROWFETCH, "Error occured on fetching the %1! row."

4 = WISQLE_CTFAIL, "Failed when CT_Lib routine %1! called."

5 = WISQLE_CMDFAIL, "Command failed."

6 = WISQLE_UNEXP, "Unexpected result type from ct_results."

7 = WISQLE_ILLDTYPE, "Illegal datatype %1! specified, defaulting to CS_CHAR."

8 = WISQLE_IFILE, "wsql.ini file not found."

9 = WISQLE_SNAME, "Server names not found in wsql.ini file."

10 = WISQLE_CON, "Too many open connections!"

11 = WISQLE_OUTBUF, "WISQL's internal buffer is not big enough to hold this query's output."

12 = WISQLE_TIMEOUT, "Time out value must be bigger than zero."

13 = WISQLE_CMD, "Command %1! failed."

14 = WISQLE_ARG, "Something wrong in wisql command line arguments."

15 = WISQLE_WINDOWS, "Windows System Error."

16 = WISQLE_FILEOPEN, "File open error."
	
17 = WISQLE_FILEWRITE, "File write error."  

18 = WISQLE_FILEREAD, "File read error." 	

19 = WISQLE_FILETOOBIG, "The opened file is too big to fit into a memory buffer."

20 = WISQLE_NOSERVER, "No server is selected."

21 = WISQLE_CTCB, "%1! install %2! message handler failed."

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; The Menu items, windows titles, and dialog 
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[wisqlmenu]

1  = WISQLM_FILE, "&File"		
2  = WISQLM_NEW, "&New"
3  = WISQLM_OPEN, "&Open...\\tCtrl+O"
4  = WISQLM_SAVE, "&Save Input\\tCtrl+S"
5  = WISQLM_SAVEAS, "Save Input &As..."
6  = WISQLM_SAVEOUT, "Save Out&put...\\tCtrl+P"		
7  = WISQLM_OPTIONS, "Op&tions..."		
8  = WISQLM_EXIT, "E&xit"		

9  = WISQLM_EDIT, "&Edit"		
10 = WISQLM_UNDO, "&Undo\\tAlt+BkSp"		
11 = WISQLM_CUT, "Cu&t\\tShift+Del"	 		
12 = WISQLM_COPY, "&Copy\\tCtrl+Ins"	 		
13 = WISQLM_PASTE, "&Paste\\tShift+Ins"		
14 = WISQLM_CLEAR, "&Delete\\tCtrl+Del"		

15 = WISQLM_CONNECTION,	"&Connect"
16 = WISQLM_CONNECT, "&Open Connection...\\tCtrl+A"		
17 = WISQLM_CLOSE, "&Disconnect\\tCtrl+D"	  		

18 = WISQLM_QUERY, "&Query"		
19 = WISQLM_EXECALL, "Execute &All\\tCtrl+Return"
20 = WISQLM_EXECREST, "Execute to &End\\tCtrl+End"
21 = WISQLM_EXECNEXT, "Execute &Next\\tCtrl+PgDn"
22 = WISQLM_EXECTEXT, "Execute &Selection\\tCtrl+Home"

23 = WISQLM_HELP, "&Help"		
24 = WISQLM_ABOUT, "A&bout..."		
		  
;; copyright message
25 = WISQLM_CP1, "Windows ISQL for SYBASE Open Client"		
26 = WISQLM_CP2, "Copyright (c) 1987,1993, Sybase Inc.,"		
27 = WISQLM_CP3, "All Rights Reserved."		
28 = WISQLM_CP4, "Use, duplication, or disclosure by the U.S. Government is subject to restrictions set forth in FAR subparagraphs"		
29 = WISQLM_CP5, "52.227-19(a)-(d) for civilian agency contracts and DFARS 252.227-7013(c)(1)(ii)  for Department of Defense contracts."		
30 = WISQLM_CP6, "Sybase reserves all unpublished rights under the copyright laws of the United States."		
31 = WISQLM_CP7, "Sybase, Inc.  6475 Christie Avenue, Emeryville, CA 94608, USA."		

;; ctlib call-back message
32 = WISQLM_CT, "Open Client Error:"
33 = WISQLM_OS, "Operating System Error:"
34 = WISQLM_SERVER, "Server Message From:"
35 = WISQLM_EEDS, "[Start Extended ERROR]"
36 = WISQLM_EEDE, "[End Extended ERROR]"

;; dialog message
37 = WISQLM_CONDLG, "Do you wish to close the current connection to the SQL Server?"
38 = WISQLM_CANDLG, "Executing SQL at SQL Server.  Please wait..."
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
